package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 客户档案表(UserArchives)实体类
 *
 * @author makejava
 * @since 2025-04-16 15:38:50
 */
public class UserArchives implements Serializable {
    private static final long serialVersionUID = -84093079072764559L;

    private Integer id;

    private String uid;
    /**
     * 专利数
     */
    private Integer patentCount;
    /**
     * 发明专利数
     */
    private Integer inventionPatentCount;
    /**
     * 实用新型数
     */
    private Integer utilityModelCount;
    /**
     * 外观专利数
     */
    private Integer appearancePatentCount;
    /**
     * 软著数
     */
    private Integer softwareWorksCount;
    /**
     * 其他数
     */
    private Integer otherCount;
    /**
     * 财务数据
     */
    private String financialData;
    /**
     * 前期沟通-客户的难处
     */
    private String earlyCommunication;
    /**
     * 面谈思路
     */
    private String interviewIdeas;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 企业数
     */
    private Integer enterpriseCount;
    /**
     * 渠道考核指标
     */
    private String channelIndicators;
    /**
     * 我方主要面谈及分工
     */
    private String interviewDistribution;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 获奖时间
     */
    private Date awardsTime;
    /**
     * 获奖状态 0=未参评,1=已参评，2=已获奖
     */
    private Integer awardsStatus;
    /**
     * 母/子公司数
     */
    private Integer companyCount;
    /**
     * 社保人数
     */
    private Integer socialSecurityCount;
    /**
     * 对外投资控股的企业数
     */
    private Integer externalInvestCount;
    /**
     * 对外投资控股的行业
     */
    private String externalInvestIndustry;
    /**
     * 对外投资控股的企业名称
     */
    private String externalInvestName;
    /**
     * 首次面谈时间
     */
    private Date firstInterviewDate;
    /**
     * 财务数据-营收（万元）
     */
    private BigDecimal financialRevenue;
    /**
     * 财务数据-税收（万元）
     */
    private BigDecimal financialTax;
    /**
     * 财务数据-资产（万元）
     */
    private BigDecimal financialProperty;
    /**
     * 财务数据-研发费用（万元）
     */
    private BigDecimal financialRd;
    /**
     * 标准 0=无，1=有
     */
    private Integer standard;
    /**
     * 对外投资控股的企业编号
     */
    private String externalInvestId;
    /**
     * 对外投资控股的行业名称
     */
    private String externalInvestIndustryName;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Integer getPatentCount() {
        return patentCount;
    }

    public void setPatentCount(Integer patentCount) {
        this.patentCount = patentCount;
    }

    public Integer getInventionPatentCount() {
        return inventionPatentCount;
    }

    public void setInventionPatentCount(Integer inventionPatentCount) {
        this.inventionPatentCount = inventionPatentCount;
    }

    public Integer getUtilityModelCount() {
        return utilityModelCount;
    }

    public void setUtilityModelCount(Integer utilityModelCount) {
        this.utilityModelCount = utilityModelCount;
    }

    public Integer getAppearancePatentCount() {
        return appearancePatentCount;
    }

    public void setAppearancePatentCount(Integer appearancePatentCount) {
        this.appearancePatentCount = appearancePatentCount;
    }

    public Integer getSoftwareWorksCount() {
        return softwareWorksCount;
    }

    public void setSoftwareWorksCount(Integer softwareWorksCount) {
        this.softwareWorksCount = softwareWorksCount;
    }

    public Integer getOtherCount() {
        return otherCount;
    }

    public void setOtherCount(Integer otherCount) {
        this.otherCount = otherCount;
    }

    public String getFinancialData() {
        return financialData;
    }

    public void setFinancialData(String financialData) {
        this.financialData = financialData;
    }

    public String getEarlyCommunication() {
        return earlyCommunication;
    }

    public void setEarlyCommunication(String earlyCommunication) {
        this.earlyCommunication = earlyCommunication;
    }

    public String getInterviewIdeas() {
        return interviewIdeas;
    }

    public void setInterviewIdeas(String interviewIdeas) {
        this.interviewIdeas = interviewIdeas;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getEnterpriseCount() {
        return enterpriseCount;
    }

    public void setEnterpriseCount(Integer enterpriseCount) {
        this.enterpriseCount = enterpriseCount;
    }

    public String getChannelIndicators() {
        return channelIndicators;
    }

    public void setChannelIndicators(String channelIndicators) {
        this.channelIndicators = channelIndicators;
    }

    public String getInterviewDistribution() {
        return interviewDistribution;
    }

    public void setInterviewDistribution(String interviewDistribution) {
        this.interviewDistribution = interviewDistribution;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getAwardsTime() {
        return awardsTime;
    }
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public void setAwardsTime(Date awardsTime) {
        this.awardsTime = awardsTime;
    }

    public Integer getAwardsStatus() {
        return awardsStatus;
    }

    public void setAwardsStatus(Integer awardsStatus) {
        this.awardsStatus = awardsStatus;
    }

    public Integer getCompanyCount() {
        return companyCount;
    }

    public void setCompanyCount(Integer companyCount) {
        this.companyCount = companyCount;
    }

    public Integer getSocialSecurityCount() {
        return socialSecurityCount;
    }

    public void setSocialSecurityCount(Integer socialSecurityCount) {
        this.socialSecurityCount = socialSecurityCount;
    }

    public Integer getExternalInvestCount() {
        return externalInvestCount;
    }

    public void setExternalInvestCount(Integer externalInvestCount) {
        this.externalInvestCount = externalInvestCount;
    }

    public String getExternalInvestIndustry() {
        return externalInvestIndustry;
    }

    public void setExternalInvestIndustry(String externalInvestIndustry) {
        this.externalInvestIndustry = externalInvestIndustry;
    }

    public String getExternalInvestName() {
        return externalInvestName;
    }

    public void setExternalInvestName(String externalInvestName) {
        this.externalInvestName = externalInvestName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getFirstInterviewDate() {
        return firstInterviewDate;
    }

    public void setFirstInterviewDate(Date firstInterviewDate) {
        this.firstInterviewDate = firstInterviewDate;
    }

    public BigDecimal getFinancialRevenue() {
        return financialRevenue;
    }

    public void setFinancialRevenue(BigDecimal financialRevenue) {
        this.financialRevenue = financialRevenue;
    }

    public BigDecimal getFinancialTax() {
        return financialTax;
    }

    public void setFinancialTax(BigDecimal financialTax) {
        this.financialTax = financialTax;
    }

    public BigDecimal getFinancialProperty() {
        return financialProperty;
    }

    public void setFinancialProperty(BigDecimal financialProperty) {
        this.financialProperty = financialProperty;
    }

    public BigDecimal getFinancialRd() {
        return financialRd;
    }

    public void setFinancialRd(BigDecimal financialRd) {
        this.financialRd = financialRd;
    }

    public Integer getStandard() {
        return standard;
    }

    public void setStandard(Integer standard) {
        this.standard = standard;
    }

    public String getExternalInvestId() {
        return externalInvestId;
    }

    public void setExternalInvestId(String externalInvestId) {
        this.externalInvestId = externalInvestId;
    }

    public String getExternalInvestIndustryName() {
        return externalInvestIndustryName;
    }

    public void setExternalInvestIndustryName(String externalInvestIndustryName) {
        this.externalInvestIndustryName = externalInvestIndustryName;
    }

}

